# boost::numeric::ublas::begin1_manip Class Reference

A begining of row manipulator. More...

Inherits index_manipulator< begin1_manip >.

List of all members.

## Public Member Functions

template<typename V , typename K >
BOOST_UBLAS_INLINE void | manip (V &k, K &) const

## Detailed Description

When member function `manip` is called the referenced index will be be set to the begining of the row (i.e. column = 0)

See also:
  begin1()